<?PHP
/*
 *  common_stuff.h
 *
 *
 *  Created by Rob Frohne on Fri Sep 27 2002.
 *  Copyright (c) 2002 __MyCompanyName__. All rights reserved.
 *
 */

function GetFileList( $dirname="." ) {   // Finds all the images
	// First check to see if there's a file called $sortfile
	// that contains a sorted list of filenames, one per line
	// otherwise, will default to all files in alphabetical order
	global $sortfile, $sortreverse;

	$files = array();

	if (file_exists($sortfile)) {
		$files = file($sortfile);
		array_walk($files, 'RemoveNewLines');
	} else {
		$dir = opendir( $dirname );
		while( $file = readdir( $dir ) ) {
			if ((eregi("\.jpe?g$", $file) ||
			eregi("\.gif$", $file) ||
			eregi("\.png$", $file)) && substr($file,0,2) <> "._") {
				$files[] = $file;
			}
		}
		if ($sortreverse) {
			rsort($files);
		} else {
			sort($files);
		}
	}
	return $files;
}

function GetAudioFileList( $dirname="." ) {   // Finds all the audio files
	// in alphabetical order.
	$dir = opendir( $dirname );
	while( $file = readdir( $dir ) ) {
		if ((eregi("\.mp?3$", $file) ||
		eregi("\.wav$", $file) ||
		eregi("\.oog$", $file))) {
			$files[] = $file;
		}
	}
	return $files;
}
?>
